package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "MetricsDetailBO", description = "详细指标查询输入参数")
public class MetricsDetailBO {
    @ApiModelProperty(value = "路口ID", required = true)
    private String crossId;
    @ApiModelProperty(value = "进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer dir;
    @ApiModelProperty(value = "转向：u掉头；l左转；s直行；r右转")
    private String turn;
    @ApiModelProperty(value = "车道序号，从左车道开始编号11、12、13...")
    private Integer laneSort;
    @ApiModelProperty(value = "日期 yyyy-MM-dd", required = true)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date date;
    @ApiModelProperty(value = "对比时间间隔（分钟）", required = true)
    private Integer minutes;
}
