package net.wanji.opt.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.bo.CrossIdAndStartEndDateBO;
import net.wanji.opt.service.impl.SceneEvaluateServiceImpl;
import net.wanji.opt.vo.SceneEvaluateabnormalDistributeVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;

/**
 * 运行评价
 *
 * @author Kent HAN
 */
@Api(value = "SceneEvaluateController", description = "场景评价")
@RequestMapping("/sceneEvaluate")
@RestController
public class SceneEvaluateController {

    private final SceneEvaluateServiceImpl sceneEvaluateService;

    public SceneEvaluateController(SceneEvaluateServiceImpl sceneEvaluateService) {
        this.sceneEvaluateService = sceneEvaluateService;
    }

    @ApiOperation(value = "异常事件时空分布", notes = "异常事件时空分布", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/abnormalDistribute",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = SceneEvaluateabnormalDistributeVO.class),
    })
    public JsonViewObject abnormalDistribute(@RequestBody CrossIdAndStartEndDateBO bo) {
        SceneEvaluateabnormalDistributeVO res = sceneEvaluateService.abnormalDistribute(bo);
        return JsonViewObject.newInstance().success(res);
    }

}